Skip to main content
GET
/
api
/
v1
/
emnify
/
endpoint
/
{endpointId}
/
stats
Get SIM usage statistics for endpoint
curl --request GET \
  --url https://api.raul.ugps.io/api/v1/emnify/endpoint/{endpointId}/stats \
  --header 'Authorization: Bearer <token>'
{
  "current_month": {
    "volume_mb": 123,
    "volume_rx_mb": 123,
    "volume_tx_mb": 123,
    "last_updated": {}
  },
  "last_month": {
    "volume_mb": 123,
    "volume_rx_mb": 123,
    "volume_tx_mb": 123
  },
  "last_hour": {
    "data_rx": [
      "<array>"
    ],
    "data_tx": [
      "<array>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

endpointId
number
required

Emnify endpoint ID

Query Parameters

sim_id
number
required

SIM ID to get stats for

Response

current_month
object
last_month
object
last_hour
object